Bug 115067 - kdenetwork should not depend on xmms
kdenetwork should not depend on xmms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-05 22:11 EST by Keunwoo Lee
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 09:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keunwoo Lee 2004-02-05 22:11:45 EST
I'm using the Fedora KDE 3.2 packages that are currently on the KDE 
mirrors.  It's not in the official Fedora repositories, but the 
"packager" field still says Red Hat, Inc., so I'm reporting in the 
hopes that this can be fixed if you're in the midst of preparing 
official packages for KDE 3.2. 
 
rpm --erase --test xmms yields: 
 
error: Failed dependencies: 
        libxmms.so.1 is needed by (installed) kdenetwork-3.2.0-0.1 
        libxmms.so.1 is needed by (installed) kdeaddons-3.2.0-0.1 
 
This dependency seems like a bad idea.  kdenetwork is a core part of 
the KDE environment.  KDE users shouldn't have to have xmms around 
to keep it.  KDE users will generally be using one of the builtin 
KDE media players like juk anyway.  (I am also finding xmms very 
flaky on my system, but that's a separate problem.) 
 
Some messing around with ldd reveals that the problem 
is /usr/lib/kde3/kopete_nowlistening.so.  There's probably a way to 
configure kopete not to use its xmms integration.  At least, you 
shouldn't package those parts with kopete by default. 
 
See the following for how one other packager for the ArkLinux 
distribution did it: 
 
http://rpm.pbone.net/index.php3/stat/4/idpl/907540 
 
'locate nowlistening' on my system reveals: 
 
 /usr/share/apps/kopete/nowlisteningchatui.rc 
 /usr/share/apps/kopete/nowlisteningui.rc 
 /usr/share/services/kconfiguredialog/kopete_nowlistening_config.desktop 
 /usr/share/services/kopete_nowlistening.desktop 
 /usr/lib/kde3/kcm_kopete_nowlistening.la 
 /usr/lib/kde3/kcm_kopete_nowlistening.so 
 /usr/lib/kde3/kopete_nowlistening.la 
 /usr/lib/kde3/kopete_nowlistening.so 
 
I suspect that packing these files as a separate subpackage would be 
sufficient to remove the xmms dependency from kdenetwork.
Comment 1 Keunwoo Lee 2004-02-05 22:23:15 EST
Note also companion Bug 115068 submitted for kdeaddons. 
Comment 2 Idcmp 2004-03-19 12:31:17 EST
In fact, Kopete should not be packaged up in kdenetwork as it makes it
impossible to upgrade individually.  
Comment 3 Keunwoo Lee 2004-03-29 23:53:46 EST
I disagree, unless Fedora moves to a more fine-grained packaging 
strategy for KDE in general.  Kopete is neither bigger nor (much) 
more frequently updated than other standard KDE apps like KNode; 
with 3.2.1 it seems pretty stable.  People installing kdenetwork 
will expect Kopete to be included. 
Comment 4 Keunwoo Lee 2004-03-29 23:59:49 EST
updating br version; core 2 test2 still has this problem. 
Comment 5 Ngo Than 2004-07-01 09:49:00 EDT
i already added new sub package -nowlistening, which will get rid of
xmms dependency. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.